
<div class="sensorListMain subHeader borderTop" ng-init="linkAssetsVariables.assetTypeSelected ===
linkAssetsVariables.rootAssetType">
    </div>
    <span class="clear"></span>
</div>

<div class="subHeader">
    <div class="floatLeft">
        <div class="mainNormal roboLight marginTopShort">Live Feed</div>
    </div>
    <div class="floatRight">
        <div class="btn flat small midBlock" ng-click="clearBeaconData()">CLEAR</div>
        <div class="btn flat small midBlock" ng-click="pauseBeaconData()" ng-if="!beaconPaused">PAUSE</div>
        <div class="btn flat small midBlock" ng-click="pauseBeaconData()" ng-if="beaconPaused">UNPAUSE</div>
    </div>
    <span class="clear"></span>
</div>
<!--
<div class="dataTable linksListTable subNormal backColor">
    <div class="dataRow header">
        <ul class="rowCont">
            <li class="sensor">
                <div class="midBlock marginLeftSml">Beacon Name</div>
            </li>
            <li class="type">Signal Strength</li>
            <li class="type">Company Name</li>
        </ul>
    </div>
    <div class="dataRow"
         ng-repeat="beacons in beaconList">

            <ul class="rowCont">
                <li class="sensor">
                    <div class="midBlock marginLeftSml">
                        {{beacons.beaconId}}
                    </div>
                </li>
                <li class="type">{{beacons.rssi}}</li>
                <li class="type">{{beacons.companyName}}</li>
            </ul>
    </div>
</div>-->
<div class="TaxiList">
    <div class="dataTable full taxiData subNormal">

        <div class="dataRow header">
            <ul class="rowCont">
                <li class="regNum">
                    Beacon Name
                </li>
                <li class="taxiNum">
                    Signal Strength
                </li>
                <li class="driver">
                    Company Name
                </li>

            </ul>
        </div>
        <div class="dataRow" ng-repeat="data in beaconList "  ng-if="beaconList.length>0">
            <ul class="rowCont">

                <li class="regNum" ng-bind="data.beaconId"></li>
                <li class="taxiNum" ng-bind="data.rssi"></li>
                <li class="driver" ng-bind="data.companyName"></li>
            </ul>
        </div>
        <div class="marginTop" ng-if="beaconList.length>0">
            <ul class="pagination">


                <li class="prev" ng-if="overviewRelated.paginationDetails.pageSelected!=1"
                    ng-click="decrementPageGetRfIDDetectionData()"></li>

                <li ng-class="{active:overviewRelated.paginationDetails.pageSelected==$index+1}"
                    ng-repeat="pageDetail in overviewRelated.paginationDetails.noOfPagesToBeDisplayed track by $index" ng-bind="$index+1"
                    ng-click="getDataByPageNo($index+1)"></li>

                <li class="active" ng-if="overviewRelated.paginationDetails.pageSelected>overviewRelated.paginationDetails.maxNoOfPages"
                    ng-bind="overviewRelated.paginationDetails.pageSelected"></li>

                <li class="next" ng-if="overviewRelated.paginationDetails.pageSelected!=overviewRelated.paginationDetails.totalNoOfPages"
                    ng-click="incrementPageGetRfIDDetectionData()"></li>
            </ul>
        </div>
        <div class="taxiListMsg marginFull paddingFull" ng-if="beaconList.length==0">
            <div>
                <div class="centerTxt">No Data Available</div>
            </div>
        </div>
    </div>
</div>